Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 20 Jan 2015 18:44:08 -0800
From:      David Benfell <benfell@parts-unknown.org>
To:        Adam Vande More <amvandemore@gmail.com>
Cc:        FreeBSD Questions <freebsd-questions@freebsd.org>
Subject:   Re: i915 at boot
Message-ID:  <20150121024408.GB21785@home.parts-unknown.org>
In-Reply-To: <CA+tpaK3uidtQcEXR-bxzYuzXEpff1RnkvfszJNE3KfB2ZQd3pw@mail.gmail.com>
References:  <20150118012258.GA18726@home.parts-unknown.org> <20150121005618.GA34833@home.parts-unknown.org> <CA+tpaK3uidtQcEXR-bxzYuzXEpff1RnkvfszJNE3KfB2ZQd3pw@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help

--bCsyhTFzCvuiizWE
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Jan 20, 2015 at 08:07:29PM -0600, Adam Vande More wrote:
> On Tue, Jan 20, 2015 at 6:56 PM, David Benfell <benfell@parts-unknown.org>
> wrote:
>=20
>     On Sat, Jan 17, 2015 at 05:22:58PM -0800, David Benfell wrote:
>     >
>     > I notice after starting Xorg, that my console font is a lot more
>     > reasonable and I would like for this font to be activated at boot.
>     > Here is the loader.conf snippet I have added:
>     >
>     > i915kms_load=3D"YES"
>     > kern.vt.fb.default_mode=3D"1366x768"
>     >
>     > But I'm still getting the oversize default font. I am running:
>     >
>     > FreeBSD n4rky.parts-unknown.org 10.1-STABLE FreeBSD 10.1-STABLE #0
>     > r275948: Fri Dec 19 19:42:39 PST 2014
>     > root@n4rky.parts-unknown.org:/usr/obj/usr/src/sys/GENERIC=A0 amd64
>     >
>     Looking into this further; dmesg tells me I'm missing dependencies. It
>     doesn't tell me what those dependencies are. And Google is not
>     enlightening me as to how to determine what those dependencies are.
>=20
>     I tried adding i915. No joy:
>=20
>     VT: running with driver "vga".
>     KLD file i915.ko is missing dependencies
>     KLD file i915kms.ko is missing dependencies
>=20
>=20
> kern.vty=3D"vt"
> i915kms_load=3D"YES"
>=20
> is completely sufficient for me to load all the needed parts so I suspect=
 you
> have an issue with your modules.=A0 Are you running GENERIC?

Yes, I'm running GENERIC, STABLE:

FreeBSD n4rky.parts-unknown.org 10.1-STABLE FreeBSD 10.1-STABLE #0
r275948: Fri Dec 19 19:42:39 PST 2014
root@n4rky.parts-unknown.org:/usr/obj/usr/src/sys/GENERIC  amd64

Should I try building a more recent version?

Thanks!
--=20
David Benfell <benfell@parts-unknown.org>
See https://parts-unknown.org/node/2 if you don't understand the
attachment.

--bCsyhTFzCvuiizWE
Content-Type: application/pgp-signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJUvxJ4AAoJEBV64x4SNmArBNwP/R24+F1riUTwXMC3WWctIifx
N8aCCo5LIij6gBf4kluy73xIm3tQVnzq03DbHY+RYiatHAivHkDvzEfBquFXoyjc
j3DoYnR6E0r+TVlhJOoHEjkYDzpZ3I2wDfJbCPh5nvxfG3x/W++Y/cR7IOMy8CsP
hbqlC1l9ezlfMSfdONJvjVjn3Y9SWcAHSOWnigIHkcSOQ45YshxZ3lTyFjdGfet7
rTRgescoTMqQ4mg0r8zi+SMADGSlW3JCDkelqL8OBTEABthqlYmTAW+KH3gUtBiz
rg9KvwZw3uOPgRTvb9vlT0FBrcm9g0TtTxFontxqimTvlPhd+AuLxbK+eVmhHq7p
f6i0NkGHLp6l5ujkreLLKOiaCAYXzMJmIyMK7eiSd7eAbceOjk05dzp4DVgmQGbc
+X9GOq5pgtOshtQYCRvwB/J4vODrPJqYv/1gpPGxnHqsI/y+lum8c66T6W7dAft0
zXHp+9MtTRTyhXAIzLSbne0wA6FGoVYObRPsibaxj6R6lSRGB2McQWqdI81+aGmn
AYqysA5tIbTqLsLGPM83y7uPjJuYY8Ei6vWTHvXLszPJw1mTGXH6hJXgXoO+0sfq
9wfjP9vJtpcuW4QS7mvVImsLI5mQKVVVCKqkLgfCUez/c8C62LYYaRraL/K2essm
rUMVfhBUTk8/ZM1Z3T8O
=JO+k
-----END PGP SIGNATURE-----

--bCsyhTFzCvuiizWE--



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20150121024408.GB21785>